#
# spec file for package python-python-vlc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-vlc
Version:        3.0.101
Release:        lp150.1.1
Summary:        VLC bindings for python
License:        LGPL-2.0+
Group:          Development/Languages/Python
Url:            http://wiki.videolan.org/PythonBinding
Source:         https://files.pythonhosted.org/packages/source/p/python-vlc/python-vlc-%{version}.tar.gz
# PATCH-FIX-UPSTREAM fix-docs.patch -- Fix some example code in the docs
Patch0:         fix-docs.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  vlc-devel
Requires:       libvlc5 >= 3.0.0
BuildArch:      noarch

%python_subpackages

%description
VLC bindings for python.

This module provides ctypes-based bindings for the native libvlc API
(see http://wiki.videolan.org/LibVLC) of the VLC video player.

%prep
%setup -q -n python-vlc-%{version}
%patch0 -p1
sed -i -e '1{\,^#! /usr/bin/python,d}' vlc.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc COPYING README.module
%{python_sitelib}/*

%changelog
* Mon Feb 12 2018 aloisio@gmx.com
- Update to version 3.0.101
- Refreshed fix-docs.patch
* Sun Dec  3 2017 aloisio@gmx.com
- Added libvlc5 as runtime requirement
* Fri Nov 10 2017 alarrosa@suse.com
- Update to version 2.2.6100:
  * Python bindings: fix regexp to handle deprecated APIs
  * Rename gtkvlc.py to gtk2vlc.py (using old pygtk2 version)
  * Gtk3 example
  * python bindings generator: handle bitshifted chars in enums
  * python-vlc: allow to specify lib and plugin path
  * python bindings: update generator version number
  * Python bindings: update generated bindings for 2.2 and dev. versions
  * python bindings: configure logging module when running standalone
  * python bindings: refactor, move template files to their own directory
  * Generate an appropriate PyPI installer package for the generated module
* Tue Sep  5 2017 alarrosa@suse.com
- Initial release of python-python-vlc 1.1.2
